Extending Qt Creator Manual | HeaderPath

Extending Qt Creator Manual 4.5.2

# HeaderPath Class

(ProjectExplorer::HeaderPath)

- List of all members, including inherited members

## Public Types

enum | Kind { GlobalHeaderPath, UserHeaderPath, FrameworkHeaderPath }

## Public Functions

| HeaderPath() = default
| HeaderPath(const QString &path, Kind kind)
Kind | kind() const
QString | path() const
bool | operator==(const HeaderPath &other) const

## Member Type Documentation

### enum HeaderPath::Kind

## Member Function Documentation

### `[default]` HeaderPath::HeaderPath()

Default constructs an instance of HeaderPath.

### HeaderPath::HeaderPath(const QString &path, Kind kind)

Default constructs an instance of HeaderPath.

### Kind HeaderPath::kind() const

### QString HeaderPath::path() const

### bool HeaderPath::operator==(const HeaderPath &other) const